Customer Limit
curl --request PUT \
--url https://waas-staging.embedly.ng/api/v1/limits/customer/add \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"currencyId": "<string>",
"productId": "<string>",
"customerId": "<string>",
"singleTransactionLimit": 123,
"frequency": 123,
"dailyTransactionLimit": 123,
"monthlyTransactionLimit": 123,
"id": "<string>"
}
'import requests
url = "https://waas-staging.embedly.ng/api/v1/limits/customer/add"
payload = {
"currencyId": "<string>",
"productId": "<string>",
"customerId": "<string>",
"singleTransactionLimit": 123,
"frequency": 123,
"dailyTransactionLimit": 123,
"monthlyTransactionLimit": 123,
"id": "<string>"
}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
currencyId: '<string>',
productId: '<string>',
customerId: '<string>',
singleTransactionLimit: 123,
frequency: 123,
dailyTransactionLimit: 123,
monthlyTransactionLimit: 123,
id: '<string>'
})
};
fetch('https://waas-staging.embedly.ng/api/v1/limits/customer/add', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Customer Limit
The endpoint allows you to add limits for a specific customer.
PUT
/
limits
/
customer
/
add
Customer Limit
Request Body
string
required
The unique identifier for the currency (e.g., “USD”, “EUR”).
string
required
The unique identifier for the product associated with the limit.
string
required
The unique identifier for the customer to whom the limit applies.
number
required
The maximum amount allowed for a single transaction.
number
required
The number of transactions allowed within the specified period.
number
required
The maximum total amount allowed for transactions in a single day.
number
required
The maximum total amount allowed for transactions in a single month.
string
required
The unique identifier for the limit being added.
Response
✅ Success ResponseStatus Code: 200 OK
{
"code": "00",
"success": true,
"message": "Limits added successfully",
"data": {
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"currencyId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"productId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"customerId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"singleTransactionLimit": 0,
"frequency": 0,
"dailyTransactionLimit": 0,
"monthlyTransactionLimit": 0
}
}
❌ Error Responses
Status Code: 400 Bad Request
{
"code": "-32",
"success": false,
"message": "Invalid Frequency specified",
"data": null
}